epp_AuthInfoType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.epp_AuthInfoType class

### org.openrtk.idl.epp0503

# Class epp_AuthInfoType

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.epp_AuthInfoType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_AuthInfoType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of authorization information types generic for all objects. Used in conjunction with the epp_AuthInfo class to indicate the object authorization information. Currently, only one type is permitted: PW (password). $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/epp_AuthInfoType.java,v 1.1 2003/03/21 16:18:25 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:18:25 $

See Also:
  `epp_AuthInfo`

  ## Field Summary
  `static epp_AuthInfoType` | `PW` Instance of epp_AuthInfoType representing the PW authorization information type.
  `static int` | `_PW` Integer value representing the PW authorization information type.

  ## Constructor Summary
  `epp_AuthInfoType(int value)` For internal use only.

  ## Method Summary
  `static epp_AuthInfoType` | `from_int(int value)` Transform an integer into a epp_AuthInfoType constant.
  `int` | `value()` Accessor method for the internal integer representing the type of authorization information.

## Field Details

### PW

    public static final epp_AuthInfoType PW

> Instance of epp_AuthInfoType representing the PW authorization information type. Used directly with epp_AuthInfo.
> See Also:
>   `epp_AuthInfo`

### _PW

    public static final int _PW

> Integer value representing the PW authorization information type.
> Field Value:
>   0
> See Also:
>   `PW`

## Constructor Details

### epp_AuthInfoType

    protected epp_AuthInfoType(int value)

> For internal use only. Initializes the internal authorization information type array.
> Parameters:
>   `value` - The integer value for the desired authorization information type

## Method Details

### from_int

    public static epp_AuthInfoType from_int(int value)

> Transform an integer into a epp_AuthInfoType constant. Given the integer representation of the authorization information type, returns one of the authorization information type constants.
> Parameters:
>   `value` - The integer value for the desired authorization information type

### value

    public int value()

> Accessor method for the internal integer representing the type of authorization information.
> Returns:
>   The integer value of this authorization information type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS